<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>
      Customer Service
    </ion-title>
    <ion-buttons slot="end" style="font-size: 1.8rem;" routerDirection="root" routerLink="/home">
      <ion-icon name="home"></ion-icon>
    </ion-buttons>
    <ion-buttons (click)="RefreshPage()" slot="end" style="font-size: 1.8rem;">
      <ion-icon name="refresh"></ion-icon>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <mat-vertical-stepper [linear]="isLinear" #stepper>
    <mat-step [stepControl]="firstFormGroup">
      <form [formGroup]="firstFormGroup" class="example-form">
        <ng-template matStepLabel>Details</ng-template>
        <!--Complaint Date -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Complaint Date</mat-label>
          <input type="text" matInput formControlName="complaintDateCtrl">
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Complaint Date</ion-label>
              <ion-input type="text" formControlName="complaintDateCtrl"></ion-input>
            </ion-item>
          </ion-col>
        </ion-row>
        <!-- Document Type -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Document Type</mat-label>
          <mat-select [(ngModel)]="docTypeSelected" formControlName="documentTypeCtrl"
            (ionChange)="docTypeSelectedChange(docTypeSelected.name)">
            <mat-option *ngFor="let doc of docTypeList" [value]="doc">
              {{doc.name}}
            </mat-option>
          </mat-select>
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.documentType">
              <div *ngIf="firstFormGroup.get('name').hasError(validation.type) && firstStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <!--  -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Document Type</ion-label>
              <ion-select [(ngModel)]="docTypeSelected" formControlName="documentTypeCtrl" interface="popover"
                (ionChange)="docTypeSelectedChange(docTypeSelected.name)">
                <ion-select-option *ngFor="let doc of docTypeList" [value]="doc">{{doc.name}}</ion-select-option>
              </ion-select>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.documentType">
                <div *ngIf="firstFormGroup.get('documentTypeCtrl').hasError(validation.type) && firstStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- Name of Complainer -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Name of Complainer</mat-label>
          <input matInput formControlName="name">
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.name">
              <div *ngIf="firstFormGroup.get('name').hasError(validation.type) && firstStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Name of Complainer</ion-label>
              <ion-input formControlName="name"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.name">
                <div *ngIf="firstFormGroup.get('name').hasError(validation.type) && firstStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- Designation of Complainer -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Designation of Complainer</mat-label>
          <mat-select [(ngModel)]="designationOfComplainerSelected" formControlName="designationOfComplainerCtrl"
            (ionChange)="designationOfComplainerChange(designationOfComplainerSelected)">
            <mat-option *ngFor="let designationObject of designationOfComplainerList" [value]="designationObject">
              {{designationObject.name}}
            </mat-option>
          </mat-select>
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.designation">
              <div
                *ngIf="firstFormGroup.get('designationOfComplainerCtrl').hasError(validation.type) && firstStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Designation of Complainer</ion-label>
              <ion-select [(ngModel)]="designationOfComplainerSelected" formControlName="designationOfComplainerCtrl"
                interface="popover" (ionChange)="designationOfComplainerChange(designationOfComplainerSelected)">
                <ion-select-option *ngFor="let designationObject of designationOfComplainerList"
                  [value]="designationObject">{{designationObject.name}}</ion-select-option>
              </ion-select>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.designation">
                <div
                  *ngIf="firstFormGroup.get('designationOfComplainerCtrl').hasError(validation.type) && firstStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- Contact No -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Contact No.</mat-label>
          <input type="number" matInput formControlName="mobileno">
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.mobileno">
              <div *ngIf="firstFormGroup.get('mobileno').hasError(validation.type) && firstStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->

        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Contact No.</ion-label>
              <ion-input type="number" formControlName="mobileno"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.mobileno">
                <div *ngIf="firstFormGroup.get('mobileno').hasError(validation.type) && firstStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- Email ID -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Email ID</mat-label>
          <input type="email" matInput formControlName="email">
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.email">
              <div *ngIf="firstFormGroup.get('email').hasError(validation.type) && firstStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Email ID</ion-label>
              <ion-input type="email" formControlName="email"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.email">
                <div *ngIf="firstFormGroup.get('email').hasError(validation.type) && firstStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- Event Date -->
        <div class="example-full-width bottom-border">
          <!-- <ion-label style="color: darkgray;">Event Date</ion-label> -->
          <section class="cus">
            <!-- <ion-datetime  style="--padding-start:0px" displayFormat="DD-MM-YYYY" [(ngModel)]="today" formControlName="eventDateCtrl" [max]="maxDate | date:'yyyy-MM-dd'">
          </ion-datetime>
          <ion-icon name="calendar"></ion-icon>  -->
            <ion-item>
              <ion-label position="stacked">Event Date</ion-label>
              <ion-item>
                <ion-input placeholder="Select Date" [value]="today"></ion-input>
                <ion-button fill="clear" id="open-date-input-1">
                  <ion-icon icon="calendar"></ion-icon>
                </ion-button>
                <ion-popover class="dateTimePopover" trigger="open-date-input-1" show-backdrop="false">
                  <ng-template>
                    <ion-datetime #popoverDatetime2 presentation="date" showDefaultButtons="true" [(ngModel)]="today"
                      formControlName="eventDateCtrl" [max]="maxDate | date:'yyyy-MM-dd'"
                      (ionChange)="dateevent = formatDate(popoverDatetime2.value)"></ion-datetime>
                  </ng-template>
                </ion-popover>
              </ion-item>
            </ion-item>
          </section>
        </div>
        <!-- Complaint Description -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Complaint Description</mat-label>
          <textarea matInput formControlName="complaintDescriptionCtrl"></textarea>
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.complaintDescriptionCtrl">
              <div *ngIf="firstFormGroup.get('complaintDescriptionCtrl').hasError(validation.type) && firstStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Complaint Description</ion-label>
              <ion-textarea formControlName="complaintDescriptionCtrl"></ion-textarea>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.complaintDescriptionCtrl">
                <div *ngIf="firstFormGroup.get('complaintDescriptionCtrl').hasError(validation.type) && firstStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <div>
          <button mat-button matStepperNext (click)="matSettper($event,firstFormGroup)">Next</button>
        </div>
      </form>
    </mat-step>

    <mat-step [stepControl]="productCompliantFormGroup" label="Product Compliant" *ngIf="isProductCompliant"
      [optional]="isOptional">
      <form [formGroup]="productCompliantFormGroup" class="example-form">
        <mat-form-field class="example-full-width">
          <mat-label>Lot No.</mat-label>
          <input matInput formControlName="lotNoProductCompliantCtrl">
        </mat-form-field>
        <div>
          <button mat-button matStepperPrevious>Back</button>
          <button mat-button matStepperNext (click)="matSettperProductCom($event)">Next</button>
        </div>
      </form>
    </mat-step>

    <mat-step [stepControl]="consumablesFormGroup" label="Consumables" *ngIf="isConsumables">
      <form [formGroup]="consumablesFormGroup" class="example-form">
        <mat-form-field class="example-full-width">
          <mat-label>Lot No.</mat-label>
          <input matInput formControlName="lotNoConsumablesCtrl">
        </mat-form-field>
        <div>
          <button mat-button matStepperPrevious>Back</button>
          <button mat-button matStepperNext (click)="matSettperConsumables($event)">Next</button>
        </div>
      </form>
    </mat-step>

    <mat-step [stepControl]="equipmentFormGroup" label="Equiment Detail" *ngIf="isEquipment">
      <form [formGroup]="equipmentFormGroup">
        <!-- Serial No -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Serial No.</mat-label>
          <input matInput formControlName="serialNo" (change)='onCheckInstallationBase()'>
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.serialNo">
              <div *ngIf="equipmentFormGroup.get('serialNo').hasError(validation.type) && secondStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Serial No</ion-label>
              <ion-input formControlName="serialNo" (change)='onCheckInstallationBase()'></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.serialNo">
                <div *ngIf="equipmentFormGroup.get('serialNo').hasError(validation.type) && secondStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- Sr. No. of Equipment -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label>Sr. No. of Equipment</mat-label>
          <input matInput formControlName="SrNoEquipmentCtrl">
        </mat-form-field> -->
        <!-- Contract Type -->

        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Contract Type</mat-label>
          <mat-select [(ngModel)]="contractTypeSelected" formControlName="contractType"
            (ionChange)="contractTypeSelectedChange(contractTypeSelected)">
            <mat-option *ngFor="let contract of contractTypeList" [value]="contract">
              {{contract.name}}
            </mat-option>
          </mat-select>
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.contractType">
              <div *ngIf="equipmentFormGroup.get('contractType').hasError(validation.type) && firstStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->

        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Contract Type</ion-label>
              <ion-select [(ngModel)]="contractTypeSelected" formControlName="contractType"
                (ionChange)="contractTypeSelectedChange(contractTypeSelected)" interface="popover">
                <ion-select-option *ngFor="let contract of contractTypeList" [value]="contract">{{contract.name}}
                </ion-select-option>
              </ion-select>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.contractType">
                <div *ngIf="equipmentFormGroup.get('contractType').hasError(validation.type) && firstStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>

        <!-- Invoice No -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label>Invoice No.</mat-label>
          <input matInput formControlName="invoiceNoCtrl">
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label  position="stacked">Invoice No.</ion-label>
              <ion-input formControlName="invoiceNoCtrl"></ion-input>
            </ion-item>
          </ion-col>
        </ion-row>
        <!-- Invoice Date -->
        <div class="example-full-width bottom-border">
          <!-- <ion-label style="color: darkgray;">Invoice Date</ion-label> -->
          <section class="cus">
            <!-- <ion-datetime  style="--padding-start:0px" displayFormat="DD-MM-YYYY"  formControlName="invoiceDateCtrl" [max]="maxDate | date:'yyyy-MM-dd'">
          </ion-datetime> -->
            <!-- <ion-icon name="calendar"></ion-icon>  -->
            <ion-item>
              <ion-label position="stacked">Invoice Date</ion-label>
              <ion-item>
                <ion-input placeholder="Select Date" [value]="dateinvoice"></ion-input>
                <ion-button fill="clear" id="open-date-input-2">
                  <ion-icon icon="calendar"></ion-icon>
                </ion-button>
                <ion-popover class="dateTimePopover" trigger="open-date-input-2" show-backdrop="false">
                  <ng-template>
                    <ion-datetime #popoverDatetime2 formControlName="invoiceDateCtrl"
                      [max]="maxDate | date:'yyyy-MM-dd'" presentation="date" showDefaultButtons="true"
                      (ionChange)="dateinvoice = formatDate1(popoverDatetime2.value)"></ion-datetime>
                  </ng-template>
                </ion-popover>
              </ion-item>
            </ion-item>
          </section>
        </div>


        <!-- <mat-form-field class="example-full-width">
          <mat-label>Invoice Date</mat-label>
          <input matInput type="date" [disabled]='true' formControlName="invoiceDateCtrl" matInput [max]="maxDate | date:'yyyy-MM-dd'">
        </mat-form-field> -->
        <!-- Error Code -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Error Code</mat-label>
          <mat-select [(ngModel)]="errorCodeSelected" formControlName="errorCode"
            (ionChange)="errorCodeSelectedSelectedChange(errorCodeSelected)">
            <mat-option *ngFor="let errorCode of errorCodeList" [value]="errorCode">
              {{errorCode.name}}
            </mat-option>
          </mat-select>
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.errorCodeCtrlErrorMessage">
              <div *ngIf="equipmentFormGroup.get('errorCode').hasError(validation.type) && firstStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Error Code</ion-label>
              <ion-select [(ngModel)]="errorCodeSelected" formControlName="errorCode"
                (ionChange)="errorCodeSelectedSelectedChange(errorCodeSelected)" interface="popover">
                <ion-select-option *ngFor="let errorCode of errorCodeList" [value]="errorCode">{{errorCode.name}}
                </ion-select-option>
              </ion-select>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.errorCodeCtrlErrorMessage">
                <div *ngIf="equipmentFormGroup.get('errorCode').hasError(validation.type) && firstStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>

        <!-- Dealer Name -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label>Dealer Name</mat-label>
          <input matInput formControlName="dealerNameCtrl">
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label  position="stacked">Dealer Name</ion-label>
              <ion-input formControlName="dealerNameCtrl"></ion-input>
            </ion-item>
          </ion-col>
        </ion-row>
        <!-- Installation Date -->
        <div class="example-full-width bottom-border">
          <!-- <ion-label style="color: darkgray;">Installation Date</ion-label> -->
          <section class="cus">
            <!-- <ion-datetime  style="--padding-start:0px" displayFormat="DD-MM-YYYY"  formControlName="installationDateCtrl" [max]="maxDate | date:'yyyy-MM-dd'">
          </ion-datetime>
          <ion-icon name="calendar"></ion-icon>  -->
            <ion-item>
              <ion-label position="stacked">Installation Date</ion-label>
              <ion-item>
                <ion-input placeholder="Select Date" [value]="dateinstall"></ion-input>
                <ion-button fill="clear" id="open-date-input-3">
                  <ion-icon icon="calendar"></ion-icon>
                </ion-button>
                <ion-popover class="dateTimePopover" trigger="open-date-input-3" show-backdrop="false">
                  <ng-template>
                    <ion-datetime #popoverDatetime2 formControlName="installationDateCtrl"
                      [max]="maxDate | date:'yyyy-MM-dd'" presentation="date" showDefaultButtons="true"
                      (ionChange)="dateinstall = formatDate2(popoverDatetime2.value)"></ion-datetime>
                  </ng-template>
                </ion-popover>
              </ion-item>
            </ion-item>
          </section>
        </div>

        <!-- <mat-form-field class="example-full-width">
          <mat-label>Installation Date</mat-label>
          <input type="date" matInput formControlName="installationDateCtrl" matInput
            [max]="maxDate | date:'yyyy-MM-dd'">
        </mat-form-field> -->
        <div>
          <button mat-button matStepperPrevious>Back</button>
          <button mat-button matStepperNext (click)="matSettperSecond($event)">Next</button>
        </div>
      </form>
    </mat-step>

    <mat-step [stepControl]="thirdFormGroup" label="SKU Detail">
      <form [formGroup]="thirdFormGroup">
        <!-- SKU Code -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">SKU Code</mat-label>
          <input matInput formControlName="SKUCode">
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.SKUCode">
              <div *ngIf="thirdFormGroup.get('SKUCode').hasError(validation.type) && thirdStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">SKU Code</ion-label>
              <ion-input formControlName="SKUCode"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.SKUCode">
                <div *ngIf="thirdFormGroup.get('SKUCode').hasError(validation.type) && thirdStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- SKU Name / Description -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label>SKU Name / Description</mat-label>
          <input matInput formControlName="skuName">
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label position="stacked">SKU Name / Description</ion-label>
              <ion-input formControlName="skuName"></ion-input>
            </ion-item>
          </ion-col>
        </ion-row>
        <!-- Brand Name -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Brand Name</mat-label>
          <input matInput formControlName="brandName">
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.brandName">
              <div *ngIf="thirdFormGroup.get('brandName').hasError(validation.type) && thirdStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Brand Name</ion-label>
              <ion-input formControlName="brandName"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.brandName">
                <div *ngIf="thirdFormGroup.get('brandName').hasError(validation.type) && thirdStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- Product to be returned -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label>Product to be returned</mat-label>
          <mat-select [(ngModel)]="ProductReturnedSelected" [ngModelOptions]="{standalone: true}"
            (ionChange)="ProductReturnedSelectedChange(ProductReturnedSelected)">
            <mat-option value="Y">Yes</mat-option>
            <mat-option value="N">No</mat-option>
          </mat-select>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label position="stacked">Product to be returned</ion-label>
              <ion-select [(ngModel)]="ProductReturnedSelected" [ngModelOptions]="{standalone: true}"
                (ionChange)="ProductReturnedSelectedChange(ProductReturnedSelected)" interface="popover">
                <ion-select-option value="Y">Yes</ion-select-option>
                <ion-select-option value="N">No</ion-select-option>
              </ion-select>
            </ion-item>
          </ion-col>
        </ion-row>
        <div>
          <button mat-button matStepperPrevious>Back</button>
          <button mat-button matStepperNext (click)="matSettperThird($event)">Next</button>
        </div>
      </form>
    </mat-step>
    <!-- Customer Detail Tab -->
    <mat-step [stepControl]="fourthFormGroup" label="Customer Detail">
      <form [formGroup]="fourthFormGroup">
        <!-- Customer Name -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Customer Name</mat-label>
          <input matInput formControlName="customerName">
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.customerName">
              <div *ngIf="fourthFormGroup.get('customerName').hasError(validation.type) && fourthStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Customer Name</ion-label>
              <ion-input formControlName="customerName"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.customerName">
                <div *ngIf="fourthFormGroup.get('customerName').hasError(validation.type) && fourthStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- Customer Address 1 -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Customer Address 1</mat-label>
          <input matInput formControlName="customerAddress1">
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.customerAddress1">
              <div *ngIf="fourthFormGroup.get('customerAddress1').hasError(validation.type) && fourthStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Customer Address 1</ion-label>
              <ion-input formControlName="customerAddress1"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.customerAddress1">
                <div *ngIf="fourthFormGroup.get('customerAddress1').hasError(validation.type) && fourthStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- Customer Address 2 -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label>Customer Address 2</mat-label>
          <input matInput formControlName="customerAddress2">
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label position="stacked">Customer Address 2</ion-label>
              <ion-input formControlName="customerAddress2"></ion-input>
            </ion-item>
          </ion-col>
        </ion-row>
        <!-- Customer Address 3 -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label>Customer Address 3</mat-label>
          <input matInput formControlName="customerAddress3">
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label  position="stacked">Customer Address 3</ion-label>
              <ion-input formControlName="customerAddress3"></ion-input>
            </ion-item>
          </ion-col>
        </ion-row>
        <!-- Pin Code -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Pin Code</mat-label>
          <input type="number" matInput formControlName="pinCodeCtrl" (change)='onChangePinCode()'>
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.pinCode">
              <div *ngIf="fourthFormGroup.get('pinCodeCtrl').hasError(validation.type) && fourthStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Pin Code</ion-label>
              <ion-input type="number" formControlName="pinCodeCtrl" (change)='onChangePinCode()'></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.pinCode">
                <div *ngIf="fourthFormGroup.get('pinCodeCtrl').hasError(validation.type) && fourthStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- Area -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Area</mat-label>
          <mat-select formControlName="area" (ionChange)="onAreaSelectedChange()" [(ngModel)]="areaSelected">
            <mat-option *ngFor="let area of areaList" [value]="area">
              {{area.area}}
            </mat-option>
          </mat-select>
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.area">
              <div *ngIf="fourthFormGroup.get('area').hasError(validation.type) && fourthStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Area</ion-label>
              <ion-select formControlName="area" (ionChange)="onAreaSelectedChange()" [(ngModel)]="areaSelected" interface="popover">
              <ion-select-option *ngFor="let area of areaList" [value]="area"> {{area.area}}
              </ion-select-option>
            </ion-select>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.area">
                <div *ngIf="fourthFormGroup.get('area').hasError(validation.type) && fourthStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- City -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">City</mat-label>
          <input matInput formControlName="city" [(ngModel)]="city">
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.city">
              <div *ngIf="fourthFormGroup.get('city').hasError(validation.type) && fourthStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">City</ion-label>
              <ion-input formControlName="city" [(ngModel)]="city"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.city">
                <div *ngIf="fourthFormGroup.get('city').hasError(validation.type) && fourthStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- State -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">State</mat-label>
          <input matInput formControlName="state" [(ngModel)]="state">
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.state">
              <div *ngIf="fourthFormGroup.get('state').hasError(validation.type) && fourthStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">State</ion-label>
              <ion-input formControlName="state" [(ngModel)]="state"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.state">
                <div *ngIf="fourthFormGroup.get('state').hasError(validation.type) && fourthStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <!-- Country -->
        <!-- <mat-form-field class="example-full-width">
          <mat-label class="asterisk_input">Country</mat-label>
          <input matInput formControlName="country" [(ngModel)]="country">
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.country">
              <div *ngIf="fourthFormGroup.get('country').hasError(validation.type) && fourthStepValid">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </mat-form-field> -->
        <ion-row class="example-full-width">
          <ion-col>
            <ion-item>
              <ion-label class="asterisk_input" position="stacked">Country</ion-label>
              <ion-input formControlName="country" [(ngModel)]="country"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.country">
                <div *ngIf="fourthFormGroup.get('country').hasError(validation.type) && fourthStepValid">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
        </ion-row>
        <div>
          <button mat-button matStepperPrevious>Back</button>
        </div>
        <div>
          <ion-row>
            <ion-col no-padding>
              <ion-button size="default" [disabled]="!fourthFormGroup.valid && fourthFormGroup.disabled === false"
                class="submit-btn" expand="block" color="primary" (click)="submit()">Assign to COP
              </ion-button>
            </ion-col>
          </ion-row>
        </div>
      </form>
    </mat-step>
  </mat-vertical-stepper>
</ion-content>